io.vertx.kafka.client.consumer

## Interface KafkaConsumerRecord<K,V>

-     public interface KafkaConsumerRecord<K,V>

  Vert.x Kafka consumer record

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `checksum()` Deprecated. As of Kafka 0.11.0. Because of the potential for message format conversion on the broker, the checksum returned by the broker may not match what was computed by the producer. It is therefore unsafe to depend on this checksum for end-to-end delivery guarantees. Additionally, message format v2 does not include a record-level checksum (for performance, the record checksum was replaced with a batch checksum). To maintain compatibility, a partial checksum computed from the record timestamp, serialized key size, and serialized value size is returned instead, but this should not be depended on for end-to-end reliability.
    `List<KafkaHeader>` | `headers()`
    `K` | `key()`
    `long` | `offset()`
    `int` | `partition()`
    `org.apache.kafka.clients.consumer.ConsumerRecord<K,V>` | `record()`
    `long` | `timestamp()`
    `org.apache.kafka.common.record.TimestampType` | `timestampType()`
    `String` | `topic()`
    `V` | `value()`

- - ### Method Detail

    - #### topic

          String topic()

      Returns:
        the topic this record is received from

    - #### partition

          int partition()

      Returns:
        the partition from which this record is received

    - #### offset

          long offset()

      Returns:
        the position of this record in the corresponding Kafka partition.

    - #### timestamp

          long timestamp()

      Returns:
        the timestamp of this record

    - #### timestampType

          org.apache.kafka.common.record.TimestampType timestampType()

      Returns:
        the timestamp type of this record

    - #### checksum

          @Deprecated
          long checksum()

      Deprecated. As of Kafka 0.11.0. Because of the potential for message format conversion on the broker, the checksum returned by the broker may not match what was computed by the producer. It is therefore unsafe to depend on this checksum for end-to-end delivery guarantees. Additionally, message format v2 does not include a record-level checksum (for performance, the record checksum was replaced with a batch checksum). To maintain compatibility, a partial checksum computed from the record timestamp, serialized key size, and serialized value size is returned instead, but this should not be depended on for end-to-end reliability.
      Returns:
        the checksum (CRC32) of the record.

    - #### key

          K key()

      Returns:
        the key (or null if no key is specified)

    - #### value

          V value()

      Returns:
        the value

    - #### headers

          List<KafkaHeader> headers()

      Returns:
        the list of consumer record headers

    - #### record

          org.apache.kafka.clients.consumer.ConsumerRecord<K,V> record()

      Returns:
        the native Kafka consumer record with backed information

Copyright © 2020 Eclipse. All rights reserved.